Package com.logicaldoc.core.runtime

# Class AspectDisabledException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.logicaldoc.core.runtime.FeatureDisabledException
com.logicaldoc.core.runtime.AspectDisabledException

All Implemented Interfaces:
  `Serializable`

public class AspectDisabledException extends FeatureDisabledException
Raised when an aspect is disabled

Since:
  9.2
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AspectDisabledException(String aspectId)`
`AspectDisabledException(String aspectId, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AspectDisabledException

public AspectDisabledException(String aspectId)

### AspectDisabledException

public AspectDisabledException(String aspectId, Throwable cause)